1. cloudsmiles's Avatar
    If this has been beaten to death, feel free to close this and refer me to proper threads.

    I have an iPhone 3GS that hasn't been unlocked before, firmware 4.2.1 and baseband 05.15.04. I've been trying to update the baseband to 06.15.00 using PwnageTool 4.1.3 Unlock Edition, but have thus far been unsuccessful as I keep getting the "Wrong Firmware Bundle" error after trying to select the 4.2.1 for 3GS FW. I've read the Dev Team's updates and have tried adding their 4.2.1 fixed bundle, but that hasn't done anything for me (as it seems that's the solution if you want to keep your baseband, but I need to push mine to 06.15.00).

    I've looked elsewhere for fixed bundles, but most links are dead. Anyone have any ideas? Thanks
    2011-08-25 05:58 PM
  2. Mes's Avatar
    Use PwnageTool (the latest) to restore to 4.2.1, then ....
    Use redsn0w rc16 with one (1) option: 'install the iPad baseband'

    Note: 4.2.1 SHSH blobs are required !!
    2011-08-25 06:01 PM
  3. cloudsmiles's Avatar
    Hrm that didn't work. I've tried it about two times; each time, shortly after my iPhone enters DFU mode and is rebooted by redsn0w the screen stays white and I receive a Failure message in redsn0w. I then need to reboot the phone and my computer in order to try again. If I don't reboot my Maccbook, when it reaches the stage to enter DFU the jailbreak tries to begin immediately after I begin pressing the On/Off, displays an error, and the phone boots normally.

    I'm also hoping that even if I get redsn0w to bump my baseband, someone can explain to me a fix for PwnageTool. I'd like to be able to cook some custom firmware in case I ever need to do a restore (as I'd needed to do with my old iphone 3g).
    2011-08-26 06:56 PM
LINK TO POST COPIED TO CLIPBOARD